### Hierarchy

- SupportSignedMessageData<EthCryptoWallet>
  - EthWalletData

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- getMessage
- getSignedMessage
- fromJson

## Constructors

### constructor

- new EthWalletData(data: EthCryptoWallet, sig?: string): EthWalletData

- Inherited from SupportSignedMessageData.constructor

  - Defined in utils/types/BaseTypes.ts:60

  #### Parameters

  - ##### data: EthCryptoWallet

  - ##### Optional sig: string

  #### Returns EthWalletData

## Properties

### data

data: EthCryptoWallet

Inherited from SupportSignedMessageData.data

- Defined in utils/types/BaseTypes.ts:57

### sig

sig: string

Inherited from SupportSignedMessageData.sig

- Defined in utils/types/BaseTypes.ts:60

## Methods

### getMessage

- getMessage(): MessageData<string>

- Inherited from SupportSignedMessageData.getMessage

  - Defined in utils/types/BaseTypes.ts:71

  #### Returns MessageData<string>

### getSignedMessage

- getSignedMessage(): StringSignedMessage

- Inherited from SupportSignedMessageData.getSignedMessage

  - Defined in utils/types/BaseTypes.ts:67

  #### Returns StringSignedMessage

### Static fromJson

- fromJson(json: JsonObject<EthWalletData>): EthWalletData

- - Defined in utils/types/BaseTypes.ts:150

  #### Parameters

  - ##### json: JsonObject<EthWalletData>

  #### Returns EthWalletData

Generated using TypeDoc